Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.metadata
Class ClassMetaDataBinding

    java.lang.Object
      org.jboss.aop.metadata.ClassMetaDataBinding

Direct Known Subclasses:
  SimpleClassMetaDataBinding

public abstract class ClassMetaDataBinding
extends Object

Version:
  $Revision: 1.10 $
Author:
  Bill Burke

Field Summary
`protected ArrayList` | `advisors`
`protected ClassExpression` | `classExpr`
`protected String` | `expr`
`protected ClassMetaDataLoader` | `loader`
`protected String` | `name`
`protected String` | `tag`

Constructor Summary
`ClassMetaDataBinding(ClassMetaDataLoader loader, String name, String tag, String exp)`

Method Summary
`void` | `addAdvisor(Advisor advisor)`
`void` | `clearAdvisors()`
`boolean` | `equals(Object obj)`
`String` | `getClassExpr()`
`ClassMetaDataLoader` | `getLoader()`
`String` | `getName()`
`String` | `getTag()`
`int` | `hashCode()`
`boolean` | `matches(Advisor advisor, Class clazz)`
`boolean` | `matches(Advisor advisor, javassist.CtClass clazz)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classExpr

    protected ClassExpression classExpr

### expr

    protected String expr

### name

    protected String name

### tag

    protected String tag

### advisors

    protected ArrayList advisors

### loader

    protected ClassMetaDataLoader loader

Constructor Detail

### ClassMetaDataBinding

    public ClassMetaDataBinding(ClassMetaDataLoader loader,
                                String name,
                                String tag,
                                String exp)

Method Detail

### getLoader

    public ClassMetaDataLoader getLoader()

### getName

    public String getName()

### getTag

    public String getTag()

### addAdvisor

    public void addAdvisor(Advisor advisor)

### clearAdvisors

    public void clearAdvisors()

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### matches

    public boolean matches(Advisor advisor,
                           Class clazz)

### matches

    public boolean matches(Advisor advisor,
                           javassist.CtClass clazz)
                    throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### getClassExpr

    public String getClassExpr()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.